=== modified file 'lib/lp/services/mail/incoming.py'
--- lib/lp/services/mail/incoming.py	2011-09-28 09:44:03 +0000
+++ lib/lp/services/mail/incoming.py	2011-10-25 05:10:28 +0000
@@ -139,6 +139,12 @@
     except dkim.DKIMException, e:
         log.warning('DKIM error: %r' % (e,))
         dkim_result = False
+    except dns.resolver.NXDOMAIN, e:
+        # This can easily happen just through bad input data, ie claiming to
+        # be signed by a domain with no visible key of that name.  It's not an
+        # operational error.
+        log.info('DNS exception: %r' % (e,))
+        dkim_result = False
     except dns.exception.DNSException, e:
         # many of them have lame messages, thus %r
         log.warning('DNS exception: %r' % (e,))

